# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_OverRidingStyledItem Class Reference

`#include <StepVisual_OverRidingStyledItem.hxx>`

Inheritance diagram for StepVisual_OverRidingStyledItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_OverRidingStyledItem ()
| Returns a OverRidingStyledItem .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfPresentationStyleAssignment)&aStyles, const Handle(StepRepr_RepresentationItem)&aItem)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_HArray1OfPresentationStyleAssignment)&aStyles, const Handle(StepRepr_RepresentationItem)&aItem, const Handle(StepVisual_StyledItem)&aOverRiddenStyle)
Standard_EXPORT void | SetOverRiddenStyle (const Handle(StepVisual_StyledItem)&aOverRiddenStyle)
Standard_EXPORT Handle_StepVisual_StyledItem | OverRiddenStyle () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_StyledItem | overRiddenStyle

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_OverRidingStyledItem::StepVisual_OverRidingStyledItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_OverRidingStyledItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_StyledItem. Reimplemented in StepVisual_ContextDependentOverRidingStyledItem.

virtual Standard_EXPORT void StepVisual_OverRidingStyledItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfPresentationStyleAssignment)& | aStyles,
|  | const Handle(StepRepr_RepresentationItem)& | aItem,
|  | const Handle(StepVisual_StyledItem)& | aOverRiddenStyle
| ) | `[virtual]`

| Reimplemented in StepVisual_ContextDependentOverRidingStyledItem.

virtual Standard_EXPORT void StepVisual_OverRidingStyledItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_HArray1OfPresentationStyleAssignment)& | aStyles,
|  | const Handle(StepRepr_RepresentationItem)& | aItem
| ) | `[virtual]`

| Reimplemented from StepVisual_StyledItem.

Standard_EXPORT Handle_StepVisual_StyledItem StepVisual_OverRidingStyledItem::OverRiddenStyle | ( |  | ) | const

Standard_EXPORT void StepVisual_OverRidingStyledItem::SetOverRiddenStyle | ( | const Handle(StepVisual_StyledItem)& | aOverRiddenStyle | ) |

## Field Documentation

Handle_StepVisual_StyledItem StepVisual_OverRidingStyledItem::overRiddenStyle `[private]`

The documentation for this class was generated from the following file:

- StepVisual_OverRidingStyledItem.hxx